<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
              android:layout_width="match_parent"
              android:layout_height="wrap_content"
              android:orientation="vertical">
    <RadioGroup android:id="@+id/scangroup"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
        <RadioButton android:id="@+id/newscan"
                     android:layout_width="wrap_content"
                     android:layout_height="wrap_content"
                     android:layout_gravity="center_horizontal"
                     android:checked="true"
                     android:textSize="14sp"
                     android:text="Scan new"/>
        <RadioButton android:id="@+id/oldscan"
                     android:layout_width="wrap_content"
                     android:layout_height="wrap_content"
                     android:layout_gravity="center_horizontal"
                     android:textSize="14sp"
                     android:text="Scan old"/>
    </RadioGroup>

    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp">

        <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/label_device_address"
                android:textSize="14sp"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <TextView
                android:id="@+id/device_address"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/label_state"
                android:textSize="14sp"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <TextView
                android:id="@+id/connection_state"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/disconnected"
                android:textSize="14sp"/>
    </LinearLayout>

    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp">

        <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/label_data"
                android:textSize="14sp"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <TextView
                android:id="@+id/data_value"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/no_data"
                android:textSize="14sp"/>
    </LinearLayout>
    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp">

        <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Posizione soletta"
                android:textSize="14sp"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <ImageView android:id="@+id/lamp"
                   android:layout_width="15dp"
                   android:layout_height="15dp"
                   android:layout_gravity="center_vertical"
                   android:background="@android:color/black"/>
    </LinearLayout>
    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp">

        <Button android:id="@+id/sendcommand"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Write reliable"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <Button android:id="@+id/sendunreliable"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Write no reliable"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Stato di Lock"
                android:textSize="14sp"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <ImageView android:id="@+id/lock"
                   android:layout_width="15dp"
                   android:layout_height="15dp"
                   android:layout_gravity="center_vertical"
                   android:background="@android:color/black"/>
    </LinearLayout>
    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp">
        <Button android:id="@+id/connect"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:text="Connect"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <Button android:id="@+id/scanservice"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:text="Search"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <Button android:id="@+id/beginwrite"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:text="Begin"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <Button android:id="@+id/write"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:text="Write"/>
    </LinearLayout>
    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp">
        <Button android:id="@+id/execwrite"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:text="Exec"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <Button android:id="@+id/read"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:text="Read"/>

        <Space
                android:layout_width="5dp"
                android:layout_height="wrap_content"/>

        <Button android:id="@+id/disconnect"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:text="Disconnect"/>
    </LinearLayout>
    <TextView android:id="@+id/dataread"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
              android:text="@string/no_data"
            android:textSize="14sp"/>
    <ExpandableListView android:id="@+id/gatt_services_list"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"/>

</LinearLayout>
